unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, drwatch, ExtCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Memo1: TMemo;
    DropWatch1: TDropWatch;
    DropWatch2: TDropWatch;
    Panel2: TPanel;
    Label1: TLabel;
    CheckBox1: TCheckBox;
    procedure DropWatch1FilesDropped(Sender: TObject; X, Y: Integer;
      Files: TStringList);
    procedure DropWatch2FilesDropped(Sender: TObject; X, Y: Integer;
      Files: TStringList);
    procedure CheckBox1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.DropWatch1FilesDropped(Sender: TObject; X, Y: Integer;
  Files: TStringList);
begin
     Memo1.Clear;
     Memo1.Lines.Add('File(s) dropped on panel at ('+IntToStr(x)+','+IntToStr(y)+'):');
     Memo1.Lines.AddStrings(Files);
end;

procedure TForm1.DropWatch2FilesDropped(Sender: TObject; X, Y: Integer;
  Files: TStringList);
begin
     Memo1.Clear;
     If Files.Count>1 Then ShowMessage('Only the first file will be viewed.');
     Memo1.Lines.LoadFromFile(Files.Strings[0]);
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
     DropWatch2.Enabled:=CheckBox1.Checked;
end;

end.
